<template>
  <b-container fluid id="input">
    <b-row class="my-1">
      <b-col sm="2">
        <label for="input-default">Username:</label>
      </b-col>
      <b-col sm="10">
        <b-form-input
          id="input-default"
          placeholder="Enter your name"
          v-model="username"
        ></b-form-input>
      </b-col>
    </b-row>

    <b-row class="my-1">
      <b-col sm="2">
        <label for="input-default">Email:</label>
      </b-col>
      <b-col sm="10">
        <b-form-input
          id="input-default"
          type="email"
          placeholder="Enter your email"
          v-model="email"
        ></b-form-input>
      </b-col>
    </b-row>

    <b-row class="my-1">
      <b-col sm="2">
        <label for="input-default">Password:</label>
      </b-col>
      <b-col sm="10">
        <b-form-input
          id="input-default"
          type="password"
          placeholder="Enter your password"
        ></b-form-input>
      </b-col>
    </b-row>
    <b-button variant="success" @click="postUser()">Register account</b-button>
  </b-container>
</template>

<script>
import Vue from "vue";
import axios from "axios";
import "bootstrap/dist/css/bootstrap.css";
import config from "@/Utils/config.json";
import "bootstrap-vue/dist/bootstrap-vue.css";
import { BFormInput } from "bootstrap-vue";
import { BButton } from "bootstrap-vue";
Vue.component("b-form-input", BFormInput);
Vue.component("b-button", BButton);

export default {
  name: "Register",
  data() {
    return {
      types: [
        "text",
        "number",
        "email",
        "password",
        "search",
        "url",
        "tel",
        "date",
        "time",
        "range",
        "color",
      ],
      username: "",
      email: "",
    };
  },
  methods: {
    postUser() {
      let self = this;
      var bodyFormData = new FormData();
      bodyFormData.append(this.username, this.email);
      axios.post(`${config.config.res_endpoint}api/users/`, {
        user: {
          username: "" + this.username,
          email: "" + this.email,
        },
      });
      self.$router.push("/login");
    },
  },
};
</script>

<style>
#input {
  width: 40%;
  margin-top: 8%;
  align-content: center;
}

#input button {
  margin-left: 15%;
  margin-top: 5%;
}
</style>